| Home | Libraries | People | FAQ | More

## Function template make_permutation_iterator

boost::compute::make_permutation_iterator

## Synopsis

    // In header: <boost/compute/iterator/permutation_iterator.hpp>

    template<typename ElementIterator, typename IndexIterator>
      permutation_iterator< ElementIterator, IndexIterator >
      make_permutation_iterator(ElementIterator e, IndexIterator i);

## Description

Returns a `permutation_iterator` for `e` using indices from `i`.

Parameters:

`e` | the element range iterator
`i` | the index range iterator

Returns: | a `permutation_iterator` for `e` using `i`